#ifndef UTIL_H
#define UTIL_H

#define IS_DIGIT(x) (x == '0' || x == '1' || x == '2' || x == '3' || x == '4' || x == '5' || x == '6' || x == '7' || x == '8' || x == '9')
#define IS_HEX(x) (IS_DIGIT(x) || x == 'a' || x == 'b' || x == 'c' || x == 'd' || x == 'e' || x == 'f')

void memcpy(char *source, char *dest, int nbytes);
void memset(char *dest, char val, int len);

#endif